Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMLink

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMCoin
                  |
                  +--com.jxml.quick.model.qdml.QDMLink

All Implemented Interfaces:
  Cloneable, QDMElement

public class QDMLink
extends QDMCoin
implements QDMElement

Link coins are used to define hyperlinks between documents.

    DTD :

    <!ELEMENT link EMPTY>

    <!ATTLIST link
        label CDATA #IMPLIED
        tag CDATA #IMPLIED
        wild CDATA "False"
        coin CDATA #REQUIRED
        schema CDATA #REQUIRED
        inline CDATA "False"
        ID id #IMPLIED
    >

Field Summary
`String` | `coin` Models the coin attribute on the link element.
`boolean` | `inline` Models the inline attribute on the link element.
`QDMCoin` | `mCoin` The QDMInterface, QDMAbstract, QDMText or QDMBean object named by the coin attribute.
`String` | `schema` Models the schema attribute on the link element.
`String` | `tag` Models the tag attribute on the link element.
`boolean` | `wild` Models the wild attribute on the link coin.

Fields inherited from class com.jxml.quick.model.qdml.QDMCoin
`extensions, generate, implementations, label, remList`

Constructor Summary
`QDMLink()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`Map` | `getAtts()` Returns a table of objects which model attribute item elements.
`String` | `getLabel()` Returns the unique (within the scope of the QDML document) name of the coin, as specified by the coin's label.
`String` | `getTag()` Returns the XML tag name assigned to the bean element.
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qdml.QDMCoin
`addDecendants, derivesFromOther, getConcreteDecendants`

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public String tag

  Models the tag attribute on the link element. The tag attribute holds the XML tag name for the element being defined by the link element.

  When the label attribute is not present, the tag attribute is used to name the link coin.

### wild

    public boolean wild

  Models the wild attribute on the link coin. The wild attribute defaults to false. When the wild attribute is true, the link element can be used to represent an element with any tag name.

  When the wild attribute is false, the tag attribute is required, but when the wild attribute is true, the tag attribute must not be present.

  When the wild attribute is false, the label attribute is optional, but when the wild attribute is true, the label attribute is required.

### coin

    public String coin

  Models the coin attribute on the link element. The coin attribute is required. The coin attribute names a coin which defines the type of element that the link will reference. The coin that is named must be local to the current document or included in it.

### schema

    public String schema

  Models the schema attribute on the link element. The schema attribute is required. The schema attribute gives the URL of the QIML document which describes the XML document being referenced by the link.

### inline

    public boolean inline

  Models the inline attribute on the link element. The inline attribute is optional, with a default value of false. When creating an XML document, the element is begun on a new line unless inline is set to true.

### mCoin

    public transient QDMCoin mCoin

  The QDMInterface, QDMAbstract, QDMText or QDMBean object named by the coin attribute. This variable is set when the data model is initialized.

Constructor Detail

### QDMLink

    public QDMLink()

Method Detail

### clone

    public Object clone()

  Description copied from class: `QDMCoin`
  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QDMCoin`

### getLabel

    public String getLabel()

  Description copied from class: `QDMCoin`
  Returns the unique (within the scope of the QDML document) name of the coin, as specified by the coin's label.
  Overrides:
    `getLabel` in class `QDMCoin`

### getTag

    public String getTag()

  Returns the XML tag name assigned to the bean element. When wild is true, the value of the label attribute is returned.
  Specified by:
    `getTag` in interface `QDMElement`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap)
                   throws SAXException

  Description copied from class: `QDMCoin`
  Builds the maps. This method is called during initialization of the data model.
  Overrides:
    `buildMaps` in class `QDMCoin`

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QDMCoin`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QDMCoin`

### getAtts

    public Map getAtts()
                throws SAXException

  Description copied from interface: `QDMElement`
  Returns a table of objects which model attribute item elements. Inherited attribute item elements are included.
  Specified by:
    `getAtts` in interface `QDMElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD